Skip to main content
GET
/
assistants
/
{assistant_name}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"

curl -X GET "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "X-Pinecone-Api-Version: 2026-04"
{
  "name": "example-assistant",
  "instructions": "Use American English for spelling and grammar.",
  "metadata": {"team": "customer-support", "version": "1.0"},
  "status": "Ready",
  "host": "https://prod-1-data.ke.pinecone.io",
  "created_at": "2025-10-01T12:30:00Z",
  "updated_at": "2025-10-01T12:45:00Z"
}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"

curl -X GET "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "X-Pinecone-Api-Version: 2026-04"
{
  "name": "example-assistant",
  "instructions": "Use American English for spelling and grammar.",
  "metadata": {"team": "customer-support", "version": "1.0"},
  "status": "Ready",
  "host": "https://prod-1-data.ke.pinecone.io",
  "created_at": "2025-10-01T12:30:00Z",
  "updated_at": "2025-10-01T12:45:00Z"
}

Authorizations

Api-Key
string
header
required

Pinecone API Key

Headers

X-Pinecone-Api-Version
string
default:2026-04
required

Required date-based version header

Path Parameters

assistant_name
string
required

The name of the assistant to get a status on.

Response

Poll request successful.

Describes the configuration and status of a Pinecone Assistant.

name
string
required

The name of the assistant. Resource name must be 1-63 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or -.

Required string length: 1 - 63
Example:

"example-assistant"

status
string
required

The current operational status of the assistant.

instructions
string | null

Guidance applied to all responses generated by the assistant.

Example:

"Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow."

metadata
object

Optional metadata associated with the assistant. Metadata is a JSON object that can store custom organizational data, tags, and attributes.

Example:
{
"role": "Customer Support Helper",
"team": "Operations"
}
host
string

The host where the assistant is deployed.

Example:

"https://prod-1-data.ke.pinecone.io"

region
string

The region where the assistant is deployed.

created_at
string<date-time>

The timestamp when the assistant was created, in ISO 8601 format (YYYY-MM-DDTHH:MM:SSZ).

Example:

"2025-10-01T12:30:00.000Z"

updated_at
string<date-time>

The timestamp of the most recent update to the assistant, in ISO 8601 format (YYYY-MM-DDTHH:MM:SSZ).

Example:

"2025-10-01T12:45:00.000Z"